/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.dto.component;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
* Restful接口--资源详情--数据传输对象：业务组件表_发布
*
* createdate:  2022-10-10 16:53:15  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "业务组件表_发布_版本校验")
public class ReBusComponentInfoVersionDto implements Serializable
{

    /**
     * 主键<br>
     */
    @ApiModelProperty("主键")
    private String id;

    /**
     * 组件名称<br>
     */
    @ApiModelProperty("最新组件名称")
    private String comName;


    /**
     * 组件名称<br>
     */
    @ApiModelProperty("业务组件文件地址")
    private String scriptContent;

    /**
     * 组件版本号<br>
     */
    @ApiModelProperty("最新组件版本号")
    private String comVersion;

    /**
     * 修改人<br>
     */
    @ApiModelProperty("最新版本提交人")
    private String updatedBy;

    /**
     * 最新版本日志<br>
     */
    @ApiModelProperty("最新版本日志")
    private String versionLog;

    /**
     * 是否删除0-否1-是<br>
     */
    @ApiModelProperty("是否删除0-否1-是")
    private Integer isDeleted;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getComVersion() {
        return comVersion;
    }

    public void setComVersion(String comVersion) {
        this.comVersion = comVersion;
    }

    public String getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy;
    }

    public String getVersionLog() {
        return versionLog;
    }

    public void setVersionLog(String versionLog) {
        this.versionLog = versionLog;
    }

    public String getComName() {
        return comName;
    }

    public void setComName(String comName) {
        this.comName = comName;
    }

    public Integer getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(Integer isDeleted) {
        this.isDeleted = isDeleted;
    }

    public String getScriptContent() {
        return scriptContent;
    }

    public void setScriptContent(String scriptContent) {
        this.scriptContent = scriptContent;
    }
}